Package csb :: Package io :: Class MemoryStream

[frames] | no frames]

# Class MemoryStream

source code

    StringIO.StringIO --+
                        |
                       MemoryStream

In-memory stream object. Can be used in a context manager.

Instance Methods

__enter__(self) | source code

__exit__(self, *a, **k) | source code

Inherited from `StringIO.StringIO`: `__init__`, `__iter__`, `close`, `flush`, `getvalue`, `isatty`, `next`, `read`, `readline`, `readlines`, `seek`, `tell`, `truncate`, `write`, `writelines`